Update clique
POST
/clique/{clique_id}
const url = 'https://api.colourbox.com/clique/1';const options = { method: 'POST', headers: { Authorization: 'CBX-SIMPLE-TOKEN Token=<token>', 'Content-Type': 'application/json' }, body: '{"name":"The IT crowd","skyfish_id":102,"thumbnail_id":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.colourbox.com/clique/1 \ --header 'Authorization: CBX-SIMPLE-TOKEN Token=<token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "The IT crowd", "skyfish_id": 102, "thumbnail_id": 1 }'Updated existing Clique
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”clique_id
required
integer
Clique ID
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
required
The name of the created clique
string
Example
The IT crowdskyfish_id
required
The Skyfish the clique will belong to
integer
Example
102thumbnail_id
A unique media ID to use as thumbnail for the clique
integer
Responses
Section titled “Responses”Clique created
Media typeapplication/json
object
id
integer
name
string
skyfish_id
integer
Example
{ "id": 53, "name": "The IT crowd", "skyfish_id": 102}